mui.init({
	swipeBack: true
});

var vm = new Vue({
  el:'.mui-content',
  data:{
    bankList:[],
    classMap:['','gongshang','jianhang','zhongguo','nonghang','jiaotong'],
    comeFrom:''
  },
  methods:{
    chooseBank(item){
      var webview = plus.webview.getWebviewById(this.comeFrom+'.html');
      mui.fire(webview,'addSuccess',{chooseItem:item});
      mui.back();
    },
    init(){
      var _this = this;
      $ajax("/UserCenter/myBankCard",{},function(res){
        if(res.status == 200){
          _this.bankList = res.content;  
        }
      });
    }
  },
  created(){
    this.init();
  },
  mounted(){
    var _this = this;
    mui.plusReady(function () {
      var self = plus.webview.currentWebview();
      _this.comeFrom = self.comefrom;
    })
  },
})
//添加银行卡成功的事件监听
document.addEventListener('addSuccess',function(){
  vm.init();
})

//添加按钮
$(".mui-pull-right").on("tap", function() {
	mui.openWindow({
		url: 'card_add.html',
		id: 'card_add.html',
		styles: {
			top: '0px',
			bottom: '0px',
		},
		show: {
			autoShow: true,
			aniShow: 'pop-in',
			duration: '300'
		},
		extras: {
			comefrom: 'bank_card'
		},
		waiting: { // 控制 弹出转圈框的信息
			autoShow: false, //自动显示等待框，默认为true 
			title: '加载中...', //等待对话框上显示的提示内容 
			options: {
				width: '100px', //等待框背景区域宽度，默认根据内容自动计算合适宽度 
				height: '100px', //等待框背景区域高度，默认根据内容自动计算合适高度 ...... 
			}
		}
	});
})
