var connectStatus = null; //与融云的链接状态
var appkey = 'x4vkb1qpx2s1k';
var token = localStorage.getItem('auth_token');
  var detailPage = null;

mui.init();
mui('#scroll').scroll({
  indicators: true //是否显示滚动条
});

var vm = new Vue({
  el: '.mui-content',
  data: {
    serviceList: [],//商家
    factoryList: [],//工厂
    mList:[],//红娘
    buUnread:0,
    faUnread:0,
    mUnread:0,
    instance:{},// 获取 RongIMClient 实例。
    role:localStorage.getItem('role'),
    totalUnread:0
  },
  mounted:function(){
    var _this = this;
    mui.plusReady(function () {
        //初始化 SDK
      RongIMClient.init(appkey);
      _this.instance = RongIMClient.getInstance();
      //链接融云
      connectRongIm(token);
  		detailPage = plus.webview.getWebviewById('model.html');
    })
  },

  methods:{
    //和M聊天
    chatM:function(index){
      var id= this.mList[index].targetId
      $open('chat_detail.html','chat_detail.html',{targetId:id});
      this.instance.clearUnreadCount("1", id, {
              onSuccess: function (isClear) {
                getTotalUnreadCount();
              },
              onError: function (error) {
//              console.log(error);
              }
          });
    },
    //和服务商聊天
    chatService:function(index){
      var id= this.serviceList[index].targetId
      $open('chat_detail.html','chat_detail.html',{targetId:id});
      this.instance.clearUnreadCount("1", id, {
              onSuccess: function (isClear) {
          			getTotalUnreadCount();
              },
              onError: function (error) {
//              console.log(error);
              }
          });
    },
    //和工厂聊天
    chatFactory:function(index){
      var id= this.factoryList[index].targetId
      $open('chat_detail.html','chat_detail.html',{targetId:id});
      this.instance.clearUnreadCount("1", id, {
              onSuccess: function (isClear) {
          			getTotalUnreadCount();
              },
              onError: function (error) {
//              console.log(error);
              }
          });
    },
    //联系客服
    tel:function(){
      if(mui.os.plus) {
          plus.device.dial("0737-7221682");
        } else {
          location.href = 'tel:0737-7221682';
        }
    },
    //时间格式
    timeFormat:function(timeStr){
      var nowDate = new Date(),
          messageDate = new Date(timeStr),
          currentDate = nowDate.getDate(),
          currentMonth = nowDate.getMonth()+1,
          sendMonth = messageDate.getMonth()+1,
          sendDate = messageDate.getDate(),
          sendDay = messageDate.getDay(),
          sendHours = messageDate.getHours(),
          sendMinutes = messageDate.getMinutes(),
          str='';
      if(currentMonth == sendMonth){
        if((currentDate - sendDate) == 0){//当天
          if(sendMinutes<10){
            sendMinutes = '0'+sendMinutes;
          }
          str = sendHours+":"+sendMinutes;
        }else if((currentDate - sendDate) == 1){
          str = '昨天';
        } else if((currentDate - sendDate) >=2 && (currentDate - sendDate) < 7){
          switch (sendDay){
          	case 1:
          	  str = "星期一"
          		break;
          	case 2:
              str = "星期二"
              break;
            case 3:
              str = "星期三"
              break;
            case 4:
              str = "星期四"
              break;
            case 5:
              str = "星期五"
              break;
            case 6:
              str = "星期六"
              break;
          	default:
          	  str = "星期日"
          		break;
          }
        } else{
          str = sendMonth +"月"+sendDate+"日";
        }
      }else{
        str = sendMonth +"月"+sendDate+"日";
      }
      return str;
    }

  }
})

//聊天对象类型
var business = document.getElementsByClassName('mui-control-item')[0];
var factory = document.getElementsByClassName('mui-control-item')[1];
var m = document.getElementsByClassName('mui-control-item')[2];
if(vm.role == 1){
  business.style.display = 'none';
  factory.style.display = 'block';
  m.style.display ='block';

  business.classList.remove('mui-active');
  factory.classList.add('mui-active');
}else{

  business.style.display = 'block';
  factory.style.display = 'none';
  m.style.display ='none';
}

//链接融云
function connectRongIm(token) {

  //开始链接
  RongIMClient.connect(token, {
    onSuccess: function(userId) {
      console.log("链接成功，用户id：" + userId);
      getTotalUnreadCount();
    },
    onTokenIncorrect: function() {
      console.log("token无效");
       RongIMClient.reconnect({
            	//重连成功
            	onSuccess: function(userId) {
			            console.log("重链接成功，用户id：" + userId);
			            var index = vm.role == 1?1:0;
			            //获取总的未读消息数量
						      getTotalUnreadCount();
			          },
			          onError:function(errorCode){
			          	//重连失败
			          	mui.toast("重连失败" );
			          }
            })
    },
    onError: function(errorCode) {
      var info = '';
      switch(errorCode) {
        case RongIMLib.ErrorCode.TIMEOUT:
          info = '超时';
          break;
        case RongIMLib.ErrorCode.UNKNOWN_ERROR:
          info = '未知错误';
          break;
        case RongIMLib.ErrorCode.UNACCEPTABLE_PaROTOCOL_VERSION:
          info = '不可接受的协议版本';
          break;
        case RongIMLib.ErrorCode.IDENTIFIER_REJECTED:
          info = 'appkey不正确';
          break;
        case RongIMLib.ErrorCode.SERVER_UNAVAILABLE:
          info = '服务器不可用';
          break;
      }
      console.log(errorCode);
    }
  });

  // 连接状态监听器
  RongIMClient.setConnectionStatusListener({
    onChanged: function(status) {
      connectStatus = status;
      switch(status) {
        case RongIMLib.ConnectionStatus["CONNECTED"]:
        case 0:
          getConversationList();
          console.log("连接成功");
          break;

        case RongIMLib.ConnectionStatus["CONNECTING"]:
        case 1:
          console.log("连接中")
          break;

        case RongIMLib.ConnectionStatus["DISCONNECTED"]:
        case 2:
          console.log("当前用户主动断开链接")
          break;

        case RongIMLib.ConnectionStatus["NETWORK_UNAVAILABLE"]:
        case 3:
          console.log("网络不可用")
          break;

        case RongIMLib.ConnectionStatus["CONNECTION_CLOSED"]:
        case 4:
          console.log("未知原因，连接关闭")
          break;

        case RongIMLib.ConnectionStatus["KICKED_OFFLINE_BY_OTHER_CLIENT"]:
        case 6:
          console.log("用户账户在其他设备登录，本机会被踢掉线")
          break;

        case RongIMLib.ConnectionStatus["DOMAIN_INCORRECT"]:
        case 12:
          console.log("当前运行域名错误，请检查安全域名配置")
          break;
      }
    }
  });

  //消息接收监听器
  RongIMClient.setOnReceiveMessageListener({
    // 接收到的消息
    onReceived: function(message) {
      // 判断消息类型
      switch(message.messageType) {
        case RongIMClient.MessageType.TextMessage:
          //接受的消息内容将会被打印
        case RongIMClient.MessageType.ImageMessage:
          // do something...
          // message.content.content => 图片缩略图 base64。
          // message.content.imageUri => 原图 URL。
        case RongIMClient.MessageType.VoiceMessage:

        	getTotalUnreadCount();
        	break;
        case RongIMClient.MessageType.DiscussionNotificationMessage:
          // do something...
          break;
        case RongIMClient.MessageType.LocationMessage:
          // do something...
          break;
        case RongIMClient.MessageType.RichContentMessage:
          // do something...
          break;
        case RongIMClient.MessageType.DiscussionNotificationMessage:
          // do something...
          break;
        case RongIMClient.MessageType.InformationNotificationMessage:
          // do something...
          break;
        case RongIMClient.MessageType.ContactNotificationMessage:
          // do something...
          break;
        case RongIMClient.MessageType.ProfileNotificationMessage:
          // do something...
          break;
        case RongIMClient.MessageType.CommandNotificationMessage:
          // do something...
          break;
        case RongIMClient.MessageType.CommandMessage:
          // do something...
          break;
        case RongIMClient.MessageType.UnknownMessage:
          // do something...
          break;
        default:
          // 自定义消息
          // do something...
      }
    }
  });
}

//获取会话列表
function getConversationList() {
  vm.instance.getRemoteConversationList({
    onSuccess: function(list) {
      // list => 会话列表集合。
      if(list.length) {
      	vm.serviceList = [];
      	vm.factoryList = [];
      	vm.mList = [];
      	vm.buUnread = 0;
      	vm.faUnread = 0;
      	vm.mUnread = 0;
        for(var i in list) {
          if(list[i].targetId.indexOf('bu_') > -1){
          	if(list[i].latestMessage.content.messageName == 'VoiceMessage'){
            		list[i].latestMessage.content.content = '语音';
            }else if(list[i].latestMessage.content.messageName == 'ImageMessage'){
            	  list[i].latestMessage.content.content = '图片'
            }
            vm.buUnread+=list[i].unreadMessageCount;
            vm.serviceList.push(list[i]);
          }else if(list[i].targetId.indexOf('fa_') > -1){
          	if(list[i].latestMessage.content.messageName == 'VoiceMessage'){
            		list[i].latestMessage.content.content = '语音';
            }else if(list[i].latestMessage.content.messageName == 'ImageMessage'){
            	  list[i].latestMessage.content.content = '图片'
            }
            vm.faUnread+=list[i].unreadMessageCount;
            vm.factoryList.push(list[i]);
          }else{
            if(list[i].latestMessage.content.messageName == 'VoiceMessage'){
                list[i].latestMessage.content.content = '语音';
            }else if(list[i].latestMessage.content.messageName == 'ImageMessage'){
                list[i].latestMessage.content.content = '图片'
            }
            vm.mUnread+=list[i].unreadMessageCount;
            vm.mList.push(list[i]);
          }
        }
        if(vm.buUnread>0){
          document.querySelector('.bu').innerHTML = vm.buUnread;
          document.querySelector('.bu').style.display = 'block';
        }
        if(vm.faUnread>0){
          document.querySelector('.fa').innerHTML = vm.faUnread;
          document.querySelector('.fa').style.display = 'block';
        }
        if(vm.mUnread>0){
          document.querySelector('.m').innerHTML = vm.mUnread;
          document.querySelector('.m').style.display = 'block';
        }
      }
    },
    onError: function(error) {
      // do something...
      console.log(error);
    }
  }, null);
}


//获取未读消息数量
function getTotalUnreadCount(){
	vm.instance.getTotalUnreadCount({
    onSuccess: function(count){
      getConversationList();
      if(count){
      	vm.totalUnread = count>99?'99+':count;
				mui.fire(detailPage, 'hasUnread', {
					bool: true,
					count:count
				});
      }else{
        mui.fire(detailPage, 'hasUnread', {
					bool: false
				});
      }
    },
    onError: function(error) {
      console.log(error);
    }
  })
}
