mui.init();

var goodAtChoose = {
    factory: [],
    fabric_category_id: [],
    o_category_id: [],
    channel_id: []
  },
  fabric_category_list = [], //面料大类
  o_category_list = [], //类目
  channel_list = []; //来源渠道
mui.plusReady(function () {
    
  /**
   * 获取面料大类
   */
  $ajax( "/Agency/getFabricCategory", {}, function ( res ) {
    if( res.status == 200 ) {
      
      for( var i in res.content ) {
        var tempObj = {}
        tempObj.value = res.content[ i ].category_id;
        tempObj.text = res.content[ i ].category_name;
        fabric_category_list.push( tempObj );
      }

    } else {
      mui.alert( res.msg );
    }
  } )

  /**
   * 获取类目列表
   */
  $ajax( "/Agency/getCategory", {}, function ( res ) {
    if( res.status == 200 ) {
      for( var i in res.content ) {
        var tempObj = {}
        tempObj.value = res.content[ i ].cate_id;
        tempObj.text = res.content[ i ].cate_name;
        o_category_list.push( tempObj );
      }
    } else {
      mui.alert( res.msg );
    }
  } )

  /**
   * 获取来源渠道
   */
  $ajax( "/Agency/getChannel", {}, function ( res ) {
    if( res.status == 200 ) {
      for( var i in res.content ) {
        var tempObj = {}
        tempObj.value = res.content[ i ].channel_id;
        tempObj.text = res.content[ i ].channel_name;
        channel_list.push( tempObj );
      }
    } else {
      mui.alert( res.msg );
    }
  } )
})
//地区选择
$( ".area-btn" ).on( "tap", function () {
  var $that = $( this );
  var _getParam = function ( obj, param ) {
    return obj[ param ] || '';
  };
  var cityPicker3 = new mui.PopPicker( {
    layer: 3
  } );
  cityPicker3.setData( cityData3 );
  var cityResult3 = document.getElementById( 'cityResult3' );
  cityPicker3.show( function ( items ) {
    var bool = true,
      selectedAddress = {};
    if( $that.prevAll().length ) {
      for( var i = 0; i < $that.prevAll().length; i++ ) {
        var areaArr = $that.prevAll().eq( i ).text().split( "-" );
        var county = areaArr[ areaArr.length - 1 ];
        var province = areaArr[ 0 ];
        if( province == _getParam( items[ 0 ], 'text' ) && county == _getParam( items[ 2 ], 'text' ) ) {
          bool = false;
          mui.toast( "您已添加过该选项" );
          return;
        }
      }
    }
    if( bool ) {
      $( "<li>" + _getParam( items[ 0 ], 'text' ) + "-" + _getParam( items[ 1 ], 'text' ) + "-" + _getParam( items[ 2 ], 'text' ) + "</li>" ).insertBefore( $that );
      selectedAddress.province = _getParam( items[ 0 ], 'text' );
      selectedAddress.city = _getParam( items[ 1 ], 'text' );
      selectedAddress.county = _getParam( items[ 2 ], 'text' );
      goodAtChoose.factory.push( selectedAddress );
    }
  } );
} );

//面料选择
$( ".materails-btn" ).on( "tap", function () {
  var $that = $( this );
  var materailsPicker = new mui.PopPicker();
  var that = this;
  materailsPicker.setData( fabric_category_list );

  materailsPicker.show( function ( items ) {
    var bool = true;
    if( $that.prevAll().length ) {
      for( var i = 0; i < $that.prevAll().length; i++ ) {
        if( $that.prevAll().eq( i ).text() == items[ 0 ].text ) {
          bool = false;
          mui.toast( "您已添加过该选项" );
          return;
        }
      }
    }
    if( bool ) {
      $( "<li>" + items[ 0 ].text + "</li>" ).insertBefore( $that );
      goodAtChoose.fabric_category_id.push(items[ 0 ].value);
    }
  } );
} );

//类目选择
$( ".type-btn" ).on( "tap", function () {
  var $that = $( this );
  var typePicker = new mui.PopPicker();
  var that = this;
  typePicker.setData( o_category_list );

  typePicker.show( function ( items ) {
    var bool = true;
    if( $that.prevAll().length ) {
      for( var i = 0; i < $that.prevAll().length; i++ ) {
        if( $that.prevAll().eq( i ).text() == items[ 0 ].text ) {
          bool = false;
          mui.toast( "您已添加过该选项" );
          return;
        }
      }
    }
    if( bool ) {
      $( "<li>" + items[ 0 ].text + "</li>" ).insertBefore( $that );
      goodAtChoose.o_category_id.push(items[ 0 ].value);
    }
  } );
} );

//订单来源渠道选择
$( ".ways-btn" ).on( "tap", function () {
  var $that = $( this );
  var channelPicker = new mui.PopPicker();
  var that = this;
  channelPicker.setData( channel_list );

  channelPicker.show( function ( items ) {
    var bool = true;
    if( $that.prevAll().length ) {
      for( var i = 0; i < $that.prevAll().length; i++ ) {
        if( $that.prevAll().eq( i ).text() == items[ 0 ].text ) {
          bool = false;
          mui.toast( "您已添加过该选项" );
          return;
        }
      }
    }
    if( bool ) {
      $( "<li>" + items[ 0 ].text + "</li>" ).insertBefore( $that );
      goodAtChoose.channel_id.push(items[ 0 ].value);
    }
  } );
} );

//点击已选擅长项目进行删除
$(".choose-list").each(function(index,ele){
  $(ele).on('click','li',function(){
    if($(this).text()){
      $(this).remove();
      var liIndex = $(this).index();
      if(index == 0){
        goodAtChoose.factory.splice(liIndex,1);
      }else if(index == 1){
        goodAtChoose.fabric_category_id.splice(liIndex,1);
      }else if(index == 2){
        goodAtChoose.o_category_id.splice(liIndex,1);
      }else{
        goodAtChoose.channel_id.splice(liIndex,1);
      }
    }
  })
})

//确定按钮
$(".mui-btn-royal").click(function(){
  if(!goodAtChoose.factory.length){
    mui.toast("请选择熟悉的加工厂");
  }else if(!goodAtChoose.fabric_category_id.length){
    mui.toast('请选择擅长的面料大类')
  }else if(!goodAtChoose.o_category_id.length){
    mui.toast("请选择擅长的类目")
  }else if(!goodAtChoose.channel_id.length){
    mui.toast("请选择希望的订单来源")
  }else{
    $ajax('/Agency/adaption',goodAtChoose,function(res){
      if(res.status == 200){
        var text = "如果您要接单则需要去实名公司认证";
        mui.confirm(text, '认证说明', ['先看看', '去认证'], function(e) {
          if(e.index == 1) {
            $open("check.html", 'check.html');
          } else {
            var detailPage = null;
            detailPage = plus.webview.getWebviewById('model.html');
            mui.fire(detailPage, 'pageIndex', {
              index: 0
            });
            $open("../Ebusiness/model.html", "model.html");
          }
        },'div');
      }else{
        mui.toast(res.msg);
      }
    })
  }
})
