mui.init();
if(localStorage.getItem("role") == 1) {
	document.querySelector(".scan-btn").style.display = "flex";
} else {
	document.querySelector(".scan-btn").style.display = "none";
}
var vm = new Vue({
	el: '.mui-content',
	data: {
		role: localStorage.getItem('role'),
		status: '',
		bannerList: [],
		newsList: []
	},
	mounted: function() {
		var that = this;
		mui.plusReady(function() {
			var info = plus.push.getClientInfo();
			//			    alert(info.clientid);//info.token     info.appid   info.appkey
			//后台分配订单的弹窗
			if(that.role == 3) {
				$ajax("/Agency/is_prompt", {}, function(res) {
					if(res.status == 200) {
						var view = plus.webview.getWebviewById("model.html");
						mui.fire(view, 'blackShadow', {
							bool: true
						});
						mui.confirm(' ', '您有系统新派送的优质订单', ['暂时忽略', '马上抢单'], function(e) {
							if(e.index == 1) {
								$open("./receive_list.html", "receive_list.html");
							}
							mui.fire(view, 'blackShadow', {
								bool: false
							});
						}, 'div')
					}
				});
			}
			$ajax("/index/index", {
				cid: info.clientid
			}, function(res) {
				if(res.status == 200) {
					if(res.content.banner.length) {
						that.bannerList = res.content.banner;
					} else {
						that.bannerList = [{
							picture: '../../../images/home01.png',
						}]
					}
					if(that.role == 3) {
						if(res.content.is_busy == '0') {
							document.getElementById("mySwitch").classList.add("mui-active")
							document.querySelector(".switch-text").innerHTML = "正在接单";
						} else {
							document.querySelector(".switch-text").innerHTML = "业务繁忙";
						}
					}
					that.$nextTick(function() {
						mui("#slider").slider({
							interval: 5000
						})
					})
				}
			});
			$ajax("/index/getMessageList", {}, function(res) {
				if(res.status == 200) {
					that.newsList = res.content;
				}
			});
		})
	},
	methods: {
		//页面跳转
		jumpPage: function(url, id) {
			mui.plusReady(function() {
				if(id) {
					$ajax("/index/readMessage", {
						'message_id': id
					}, function(res) {});
				}
				if(url) {
					if(url.indexOf("news://") != -1) {
						$open("news_detail.html", "news_detail.html", {
							newId: url.replace("news://", '')
						})
					} else if(url.indexOf("http") != -1) {
						plus.runtime.openURL(url);
						return;
					} else if(url.indexOf("order://") != -1) {
						if(localStorage.getItem("role") == 1) {
							$open("../Order/send_detail.html", "send_detail.html", {
								order_id: url.replace("order://", '')
							})
						} else {
							$open("../Order/receive_detail.html", "receive_detail.html", {
								order_id: url.replace("order://", '')
							})
						}
					}
				}
			})
		},
		statusTap: function() {
			var that = this;
			$ajax("/index/index", {}, function(res) {
				if(res.status == 200) {
					var text = "";
					if(that.role == 1) {
						text = "您还没有进行发单注册认证<br/>只有通过认证才能进行发单";
					} else {
						text = "您还没有进行接单注册认证<br/>只有通过认证才能进行接单";
					}
					that.status = res.content.certification_status;
					if(that.status == 1) {
						mui.alert("认证审核中", "提示")
					} else if(that.status == 2) {
						if(that.role == 1) {
							$open("send_option.html", "send_option.html");
						} else {
							$open("receive_list.html", "receive_list.html");
						}
					} else {
						var view = plus.webview.getWebviewById("model.html");
						mui.fire(view, 'blackShadow', {
							bool: true
						});
						mui.confirm(' ', text, ['晚点再去认证', '现在就去认证'], function(e) {
							if(e.index == 1) {
								$open("../../Public/check.html", "check.html");
							}
							mui.fire(view, 'blackShadow', {
								bool: false
							});
						}, 'div')
					}
				}
			})
		}
	}
})

//红娘接单繁忙切换事件
if(document.getElementById("mySwitch")) {
	document.getElementById("mySwitch").addEventListener("toggle", function(event) {
		if(event.detail.isActive) {
			document.querySelector(".switch-text").innerHTML = "正在接单";
			$ajax("/Index/changeStatus", {
				'is_busy': 0
			})
		} else {
			document.querySelector(".switch-text").innerHTML = "业务繁忙";
			$ajax("/Index/changeStatus", {
				'is_busy': 1
			})
		}
	})
}