mui.init({
	swipeBack: true
});
var vm = new Vue({
	el: ".mui-content",
	data: {
		selfData: {}, //页面传递过来的参数
		disabled: false,
		listData: {}
	},
	created: function() {
		var that = this;
		mui.plusReady(function() {
			var self = plus.webview.currentWebview();
			that.$set(that.selfData, 'order_id', self.order_id);
			that.$set(that.selfData, 'company_id', self.company_id);
			that.$set(that.selfData, 'undertake_id', self.undertake_id);
			$ajax("/ReceiptOrder/companyDetails", {
				'order_id': that.selfData.order_id,
				'company_id': that.selfData.company_id
			}, function(res) {
				if(res.status == 200) {
					that.listData = res.content;
				}
			})
		})
	},
	methods: {
		confirm: function() {
			var that = this;
			if(that.listData.is_deposited == 1) {
				$open("../Home/pay_money.html", 'pay_money.html', {
					'order_id': that.selfData.order_id,
					'company_id': that.selfData.company_id,
					'undertake_id': that.selfData.undertake_id
				});
			} else {
				that.disabled = !that.disabled;
				$ajax("/ReceiptOrder/queryCompany", {
					'order_id': that.selfData.order_id,
					'company_id': that.selfData.company_id,
					'undertake_id': that.selfData.undertake_id
				}, function(res) {
					if(res.status == 200) {
						mui.confirm('成功选择工厂', ' ', ['返回首页', '查看订单'], function(e) {
							if(e.index == 1) {
								var view = plus.webview.getWebviewById("send_detail.html");
								view.reload(true);
								setTimeout(function() {
									mui.back();
								}, 300)
							} else {
								plus.webview.getWebviewById('send_detail.html').close("none");
								plus.webview.getWebviewById('./Order/order.html').hide();
								var detailPage = plus.webview.getWebviewById('model.html');
								mui.fire(detailPage, 'pageIndex', {
									index: 0
								});
								$open("../model.html", 'model.html');
								plus.webview.currentWebview().close("none");
							}
						}, 'div')
					} else {
						mui.toast(res.msg);
					}
					that.disabled = !that.disabled;
				})
			}
		}
	}
})