mui.init({
	swipeBack: true
});

var vm = new Vue({
	el: '.mui-content',
	data: {
		selfData: {}, //页面传递的参数
		way: 'ALI_APP', //支付方式同时绑定channel_id
		listData: {}
	},
	created: function() {
		var that = this;
		mui.plusReady(function() {
			var self = plus.webview.currentWebview();
			that.selfData.order_id = self.order_id;
			that.selfData.company_id = self.company_id;
			that.selfData.undertake_id = self.undertake_id;
			$ajax("/Receipt/payfront", {
				'order_id': that.selfData.order_id
			}, function(res) {
				if(res.status == 200) {
					that.listData = res.content;
				}
			})
		})
	},
	methods: {
		confirm: function() {
			var that = this;
			var money = Number((that.listData.money * 100).toFixed(2));
			if(that.way == 'YU_E') {
				$ajax("/Receipt/balancePay", {
					'order_id': that.selfData.order_id,
					'undertake_id': that.selfData.undertake_id,
					'money': that.listData.money
				}, function(res) {
					if(res.status == 200) {
						if(that.selfData.company_id) {
							var obj = plus.webview.getWebviewById("order_company.html");
							var view = plus.webview.getWebviewById("send_detail.html");
							if(obj) {
								obj.close("none");
							}
							view.reload(true);
							setTimeout(function() {
								mui.back();
							}, 300)
						} else {
							mui.confirm('发单成功', ' ', ['返回首页', '查看订单'], function(e) {
								var detailPage = plus.webview.getWebviewById('model.html');
								plus.webview.getWebviewById('./Home/home.html').reload("true");
								plus.webview.getWebviewById('./Order/order.html').reload("true");
								plus.webview.getWebviewById('send_option.html').close("none");
								plus.webview.getWebviewById('edit_task.html').close("none");
								if(e.index == 1) {
									mui.fire(detailPage, 'pageIndex', {
										index: 1
									});
								} else {
									mui.fire(detailPage, 'pageIndex', {
										index: 0
									});
								}
								plus.webview.currentWebview().close("pop-out");
							}, 'div')
						}
					} else {
						mui.alert(res.msg);
					}
				})
			} else {
				var channel_id = that.way;
				var _appid = "338d07ba-b2ae-4c6b-b543-e9f27e54f942";
				var payData = {
					app_id: _appid,
					channel: channel_id,
					title: "定金支付",
					total_fee: money,
					bill_no: beecloud.genBillNo(),
					optional: {
						'type': 4,
						'uid': that.listData.uid,
						'order_id': that.selfData.order_id,
						'company_id': that.selfData.company_id,
						'undertake_id': that.selfData.undertake_id
					}
				};
				beecloud.payReq(payData, function(result) {
					if(that.selfData.company_id) {
						var obj = plus.webview.getWebviewById("order_company.html");
						var view = plus.webview.getWebviewById("send_detail.html");
						if(obj) {
							obj.close("none");
						}
						view.reload(true);
						setTimeout(function() {
							mui.back();
						}, 300)
					} else {
						mui.confirm('发单成功', ' ', ['返回首页', '查看订单'], function(e) {
							var detailPage = plus.webview.getWebviewById('model.html');
							plus.webview.getWebviewById('./Home/home.html').reload("true");
							plus.webview.getWebviewById('./Order/order.html').reload("true");
							plus.webview.getWebviewById('send_option.html').close("none");
							plus.webview.getWebviewById('edit_task.html').close("none");
							if(e.index == 1) {
								mui.fire(detailPage, 'pageIndex', {
									index: 1
								});
							} else {
								mui.fire(detailPage, 'pageIndex', {
									index: 0
								});
							}
							plus.webview.currentWebview().close("pop-out");
						}, 'div')
					}
				}, function(e) {
					console.log(JSON.stringify(e));
				});
			}
		}
	}
})