mui.init({
  swipeBack: true
});
var vm = new Vue({
  el: ".mui-content",
  data: {
    sendData: {},
    isSend:false,//验证码发送标志（计时器的标志）
    time:60,
  },
  computed:{
    textStr(){
      return str = this.time==60?'发送验证码':this.time+'s'
    }
  },
  methods: {
    //发送验证码
    sendCode(){
        var _this = this;
      if(!_this.sendData.phone){
        mui.alert('请输入手机号码');
      }else if(!(/^1(3[0-9]|4[57]|5[0-35-9]|8[0-9]|7[0-9])\d{8}$/.test(_this.sendData.phone))){
        mui.alert('手机号码格式错误');
      }else{
        _this.isSend = true;
        if(_this.isSend){
          _this.count();
        }
        $ajax("/Sms/send_code",{phone:_this.sendData.phone},function(res){
            mui.toast(res.msg)
        });
      }
    },
    stopCount(){
      this.isSend = false;
      this.time = 60;
    },
    count(){
      var _this = this;
      if(_this.isSend){
        _this.time--;
        setTimeout(function(){
          _this.count();
          if(_this.time<=0){
            _this.stopCount();
          }
        },1000);
      }
    },
    //确定事件
    submit: function() {
      if(!(/^1[34578]\d{9}$/.test(this.sendData.phone))) {
        mui.toast("手机号码格式错误");
        return;
      } else if(!this.sendData.code || this.sendData.code.match(/^\s*$/)) {
        mui.toast("验证码错误");
        return;
      } else if(!this.sendData.paypassword || !(/^[a-z0-9A-Z.]{6,16}$/.test(this.sendData.paypassword))) {
        mui.toast("密码格式错误");
        return;
      } else if(this.sendData.paypassword != this.sendData.repaypassword) {
        mui.toast("两次密码输入不一致");
        return;
      } else {
        var _this = this;
        $ajax("/UserCenter/setPayPassword", _this.sendData, function(res) {
          if(res.status == 200) {
            mui.toast(res.msg);
            $open('wallet.html','wallet.html');
          } else {
            mui.toast(res.msg);
          }
        })
      }
    }
  }
})