mui.init({swipeBack: true});
var urlArr = [{
	url: 'bill.html',
	id: 'bill.html'
}, {
	url: 'bank_card.html',
	id: 'bank_card.html'
}, {
	url: 'account.html',
	id: 'account.html'
}, {
	url: 'pay_setting.html',
	id: 'pay_setting.html'
}];


var vm = new Vue({
  el:'.mui-content',
  data:{
    balance:'0.00'
  },
  mounted:function(){
    var _this = this;
    mui.plusReady(function () {
        var self = plus.webview.currentWebview();
        _this.balance = self.k;
    })
  }
});

$(".mui-table-view li").each(function() {
  $(this).on("tap", function() {
    var index = $(this).index();
    mui.openWindow({
      url: urlArr[index].url,
      id: urlArr[index].id,
      styles: {
        top: '0px',
        bottom: '0px',
      },
      show: {
        autoShow: true,
        aniShow: 'pop-in',
        duration: '300'
      },
      extras: {
        k: vm.balance
      },
      waiting: { // 控制 弹出转圈框的信息
        autoShow: false, //自动显示等待框，默认为true
        title: '加载中...', //等待对话框上显示的提示内容
        options: {
          width: '100px', //等待框背景区域宽度，默认根据内容自动计算合适宽度
          height: '100px', //等待框背景区域高度，默认根据内容自动计算合适高度 ......
        }
      }
    });
  })
});

//监听提现、充值后的最新余额
document.addEventListener('NewBalance',function(event){
  vm.balance = event.detail.newBalance;
});

//最新钱包余额返回到我的信息中
var old_back = mui.back;
mui.back = function(){
  var webview = plus.webview.getWebviewById('./Company/company.html');
  mui.fire(webview,'NewBalance',{newBalance:vm.balance});
  old_back()
}