mui.init()
var urlArr = [{
		url: 'wallet.html',
		id: 'wallet.html'
	},
//	{
//		url: 'Integral.html',
//		id: 'Integral.html'
//	},
	{
		url: 'help.html',
		id: 'help.html'
	}, {
		url: 'feedback.html',
		id: 'feedback.html'
	},
//	{
//		url: 'share.html',
//		id: 'share.html'
//	},
	{
		url: '',
		id: ''
	}, {
		url: 'my_setting.html',
		id: 'my_setting.html'
	}, {
		url: 'my_collection.html',
		id: 'my_collection.html'
	}],
	myInfo = {};

getInfo();

$(".mui-grid-9 li").not($(".mui-grid-9 li").eq(3)).each(function() {
	$(this).on("tap", function() {
		var index = $(this).index();
//		if(index == 1 || index == 4) {
//			mui.alert("该功能正在开发中", '温馨提示', '确定', null);
//			return;
//		}
		mui.openWindow({
			url: urlArr[index].url,
			id: urlArr[index].id,
			styles: {
				top: '0px',
				bottom: '0px',
			},
			show: {
				autoShow: true,
				aniShow: 'pop-in',
				duration: '300'
			},
			extras: {
				k: myInfo.balance
			},
			waiting: { // 控制 弹出转圈框的信息
				autoShow: false, //自动显示等待框，默认为true
				title: '加载中...', //等待对话框上显示的提示内容
				options: {
					width: '100px', //等待框背景区域宽度，默认根据内容自动计算合适宽度
					height: '100px', //等待框背景区域高度，默认根据内容自动计算合适高度 ......
				}
			}
		});
	})
})

//联系客服
mui.plusReady(function() {
	$("#tel").on("tap", function() {
		if(mui.os.plus) {
			plus.device.dial("0737-7221682");
		} else {
			location.href = 'tel:0737-7221682';
		}
	})

	//切换身份
	document.querySelector(".id-cell").onclick = function() {
		var view = plus.webview.getWebviewById("model.html");
		mui.fire(view, 'blackShadow', {
			bool: true
		});
		mui.confirm( '确定要切换身份吗？',' ', ['取消', '确定'], function(e) {
			if(e.index == 1) {
				$ajax("/UserCenter/changeUser", {}, function(res) {
					if(res.status == 200) {
						localStorage.setItem('auth_user', res.content.jwt);
						localStorage.setItem("auth_token", res.content.rc_token);
						plus.webview.currentWebview().reload(true);
						plus.webview.getWebviewById('./Home/home.html').reload(true);
						plus.webview.getWebviewById('./Order/order.html').reload(true);
						plus.webview.getWebviewById('./Chat/chat.html').reload(true);
						plus.webview.close('check.html','none');
					}
				})
				if(localStorage.getItem("role") == 1) {
					localStorage.setItem("role", "2");
				} else if(localStorage.getItem("role") == 2) {
					localStorage.setItem("role", "1");
				}
			}
			mui.fire(view, 'blackShadow', {
				bool: false
			});
		}, 'div')
	}
})
//监听修改头像返回的消息
document.addEventListener('changeAvatar', function(event) {
	document.querySelector('.img-wrapper img').setAttribute('src', event.detail.src);
});
//监听提现充值返回的最新余额
document.addEventListener('NewBalance', function(event) {
	myInfo.balance = event.detail.newBalance;
});

/**
 * 获取个人信息
 */
function getInfo() {
	$ajax('/UserCenter/getUserInfo', {}, function(res) {
		if(res.status == 200) {
			myInfo = res.content;
			document.querySelector('.img-wrapper img').setAttribute('src', imgRoot + myInfo.avatar);
			document.querySelector('.company-name').innerHTML = myInfo.company;
		} else {
			mui.toast(res.msg);
		}
	})
}

if(localStorage.getItem("role") == 1) {
	document.querySelector(".id-text").innerHTML = "品牌商、分销商";
	document.querySelector(".my-collect-cell").style.display = 'none';
} else if(localStorage.getItem("role") == 2) {
	document.querySelector(".id-text").innerHTML = "服装厂";
	document.querySelector(".my-collect-cell").style.display = 'inline-block';
} else {
	$(".id-cell").hide();
	document.querySelector(".my-collect-cell").style.display = 'inline-block';
}