mui.init( {
  swipeBack: true,
  pullRefresh: {
    container: '#pullrefresh',
    down: {
      callback: pulldownRefresh
    },
    up: {
      contentrefresh: '正在加载...',
      callback: pullupRefresh
    }
  }
} );

var boxLeft = document.querySelector( ".BoxLeft" );
var boxRight = document.querySelector( ".BoxRight" );
var fragment = document.createDocumentFragment();
var li;
boxLeft.innerHTML = '';
boxRight.innerHTML = '';
$ajax( '/UserCenter/collectionOrder', {
  page: 1
}, function ( res ) {
  if( res.status == 200 ) {
    var listData = res.content;
    for( var i = 0; i < listData.length; i++ ) {
      li = document.createElement( 'li' );
      li.setAttribute( 'id', listData[ i ].order_id );
      li.innerHTML = '<div class="product-picture"><img src="' + imgRoot + listData[ i ].front_picture + '"></div><div class="product-info"><p>' +
        listData[ i ].name + '</p><div><span>数量：' + listData[ i ].demanding_account + '</span><span class="location"><img src="../../../images/order_detail02.png">' +
        listData[ i ].publishCompany.city + '</span></div><p>生产周期：' + listData[ i ].cycle + '天</p><div><span>单价：' + listData[ i ].fee + '元</span><span class="machine-all">' + listData[ i ].mode + '</span></div><p>面料：' +
        listData[ i ].mainFabric.name + '</p></div>'
      fragment.appendChild( li );
      if( boxLeft.offsetHeight < boxRight.offsetHeight ) {
        boxLeft.appendChild( fragment );
      } else {
        boxRight.appendChild( fragment );
      }
    }
  } else {
    mui.toast( res.msg );
  }
} )

//点击进入详情
mui(".box-wrapper").on("tap", 'li', function() {
  var order_id = this.getAttribute("id");
  $ajax('/UserCenter/judgeCollection',{order_id:order_id},function(res){
    if(res.status == 200){
      $open('../Order/receive_detail.html', 'receive_detail.html', {
        'order_id': order_id
      });
    }else{
      mui.alert(res.msg,'提示','确定',null,'div');
    }
  })
})

var pageCount = 10; //每页的数据数量
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
  var boxLeft = document.querySelector( ".BoxLeft" );
  var boxRight = document.querySelector( ".BoxRight" );
  var fragment = document.createDocumentFragment();
  var li;

  setTimeout( function () {
    $ajax( '/UserCenter/collectionOrder', {
      page: 1
    }, function ( res ) {
      if( res.status == 200 ) {
        var listData = res.content;
          boxLeft.innerHTML = '';
          boxRight.innerHTML = '';
        for( var i = 0; i < listData.length; i++ ) {
          li = document.createElement( 'li' );
          li.setAttribute( 'id', listData[ i ].order_id );
          li.innerHTML = '<div class="product-picture"><img src="' + imgRoot + listData[ i ].front_picture + '"></div><div class="product-info"><p>' +
            listData[ i ].name + '</p><div><span>数量：' + listData[ i ].demanding_account + '</span><span class="location"><img src="../../../images/order_detail02.png">' +
            listData[ i ].publishCompany.city + '</span></div><p>生产周期：' + listData[ i ].cycle + '天</p><div><span>单价：' + listData[ i ].fee + '元</span><span class="machine-all">' + listData[ i ].mode + '</span></div><p>面料：' +
            listData[ i ].mainFabric.name + '</p></div>'
          fragment.appendChild( li );
          if( boxLeft.offsetHeight < boxRight.offsetHeight ) {
            boxLeft.appendChild( fragment );
          } else {
            boxRight.appendChild( fragment );
          }
        }
      }
      mui( '#pullrefresh' ).pullRefresh().endPulldownToRefresh(); //refresh completed
    } )

  }, 1500 );
}
var count = 1;
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
  count++;
  var boxLeft = document.querySelector( ".BoxLeft" );
  var boxRight = document.querySelector( ".BoxRight" );
  var fragment = document.createDocumentFragment();
  var li;
  var bool = true;
  setTimeout( function () {
    $ajax( '/UserCenter/collectionOrder', {page:count}, function ( res ) {
      if( res.status == 200 ) {
        var listData = res.content;

        for( var i = 0; i < listData.length; i++ ) {
          li = document.createElement( 'li' );
          li.setAttribute( 'id', listData[ i ].order_id );
          li.innerHTML = '<div class="product-picture"><img src="' + imgRoot + listData[ i ].front_picture + '"></div><div class="product-info"><p>' +
            listData[ i ].name + '</p><div><span>数量：' + listData[ i ].demanding_account + '</span><span class="location"><img src="../../../images/order_detail02.png">' +
            listData[ i ].publishCompany.city + '</span></div><p>生产周期：' + listData[ i ].cycle + '天</p><div><span>单价：' + listData[ i ].fee + '元</span><span class="machine-all">' + listData[ i ].mode + '</span></div><p>面料：' +
            listData[ i ].mainFabric.name + '</p></div>'
          fragment.appendChild( li );
          if( boxLeft.offsetHeight < boxRight.offsetHeight ) {
            boxLeft.appendChild( fragment );
          } else {
            boxRight.appendChild( fragment );
          }
        }
        if( listData.length < pageCount ) {
          bool = true;
        } else {
          bool = false;
        }
      } else if( res.status == 400 ) {
        bool = true;
      }
       mui('#pullrefresh').pullRefresh().endPullupToRefresh( bool );
    } )


  }, 1500 );
}