mui.init();
(function() {
	//阻尼系数

	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	var pageCount = 10;
	var pageArr = [1, 1, 1, 1, 1, 1, 1]; //上拉加载更多时传的page
	var link = ''; //根据身份判断时接单列表数据还是发单列表
	if(localStorage.getItem('role') == 1) {
		link = '/ReceiptOrder/index';
	} else {
		link = '/UndertakeOrder/orderList';
	}
	mui.plusReady(function() {
		plus.nativeUI.showWaiting("努力加载中");
		setTimeout(function() {
			plus.nativeUI.closeWaiting();
		}, 1000);
	})
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});
	mui.ready(function() {
		//循环初始化所有下拉刷新，上拉加载。
		mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			mui(pullRefreshEl).pullToRefresh({
				down: {
					auto: true,
					callback: function() {
						var self = this;
						setTimeout(function() {
							pulldownRefresh(index, self);
						}, 1000);
					}
				},
				up: {
					contentrefresh: '正在加载...',
					contentnomore: '没有更多数据了',
					callback: function() {
						var self = this;
						setTimeout(function() {
							pullupRefresh(index, self)
						}, 1000);
					}
				}
			});
		});
		//下拉刷新
		function pulldownRefresh(index, self) {
			self.refresh(true);
			var status = document.getElementById("sliderSegmentedControl").querySelectorAll(".mui-control-item")[index].getAttribute("data-status");
			pageArr[index] = 1;
			$ajax(link, {
				page: pageArr[index],
				status: status
			}, function(res) {
				var ul = document.querySelectorAll('.order-list')[index];
				var fragment = document.createDocumentFragment();
				var li;
				ul.innerHTML = '';
				if(res.status == 200) {
					var listData = res.content;
					for(var i = 0; i < listData.length; i++) {
						li = document.createElement('li');
						li.className = 'order-item';
						li.setAttribute('id', listData[i].order_id);
						var colorClass = '';
						var mStatus = '';
						if(listData[i].type == '2') {
							mStatus = 'block';
						} else {
							mStatus = 'none';
						}
						if(listData[i].msg_color == 0) {
							colorClass = 'delay';
						} else if(listData[i].msg_color == 1) {
							colorClass = 'ongoing';
						} else if(listData[i].msg_color == -1) {
							colorClass = 'completed';
						}
						li.innerHTML = "<div class='count-down " + colorClass + "'>" + listData[i].msg + "</div><div class='order-info'><span class='m-status' style='display:" + mStatus + ";'></span><img class='order-img' src = '" + imgRoot + listData[i].front_picture + "'><div class = 'order-text'><div>" + listData[i].name + "</div><div>完成件数：" + listData[i].done_account + "/" + listData[i].demanding_account + "</div><div>单件价格：" + listData[i].fee + " 元</div><div>交货时间：" + listData[i].delivery_date + "</div></div></div><div class='order-status'>状态<span>" + listData[i].state + "</span></div>";
						fragment.appendChild(li);
					}
					if(listData.length < pageCount) {
						document.querySelectorAll(".mui-pull-bottom-tips")[index].style.display = "none";
						self.endPullUpToRefresh(true);
					} else {
						document.querySelectorAll(".mui-pull-bottom-tips")[index].style.display = "block";
						self.endPullUpToRefresh(false);
					}
					ul.appendChild(fragment);
				} else if(res.status == 400) {
					li = document.createElement('li');
					li.innerHTML = "<li class='order-empty'>暂无数据</li>";
					fragment.appendChild(li);
					ul.appendChild(fragment);
					self.endPullUpToRefresh(true);
				}
				self.endPullDownToRefresh();
			})
		}
		//上拉加载
		function pullupRefresh(index, self) {
			var status = document.getElementById("sliderSegmentedControl").querySelectorAll(".mui-control-item")[index].getAttribute("data-status");
			pageArr[index]++;
			$ajax(link, {
				page: pageArr[index],
				status: status
			}, function(res) {
				var ul = document.querySelectorAll('.order-list')[index];
				var fragment = document.createDocumentFragment();
				var li;
				var bool = false;
				if(res.status == 200) {
					var listData = res.content;
					for(var i = 0; i < listData.length; i++) {
						li = document.createElement('li');
						li.className = 'order-item';
						li.setAttribute('id', listData[i].order_id);
						var colorClass = '';
						var mStatus = '';
						if(listData[i].type == '2') {
							mStatus = 'block';
						} else {
							mStatus = 'none';
						}
						if(listData[i].msg_color == 0) {
							colorClass = 'delay';
						} else if(listData[i].msg_color == 1) {
							colorClass = 'ongoing';
						} else if(listData[i].msg_color == -1) {
							colorClass = 'completed';
						}
						li.innerHTML = "<div class='count-down " + colorClass + "'>" + listData[i].msg + "</div><div class='order-info'><span class='m-status' style='display:" + mStatus + ";'></span><img class='order-img' src = '" + imgRoot + listData[i].front_picture + "'><div class = 'order-text'><div>" + listData[i].name + "</div><div>完成件数：" + listData[i].done_account + "/" + listData[i].demanding_account + "</div><div>单件价格：" + listData[i].fee + " 元</div><div>交货时间：" + listData[i].delivery_date + "</div></div></div><div class='order-status'>状态<span>" + listData[i].state + "</span></div>";
						fragment.appendChild(li);
					}
					if(listData.length < pageCount) {
						bool = true;
					} else {
						bool = false;
					}
				} else if(res.status == 400) {
					bool = true;
				}
				ul.appendChild(fragment);
				self.endPullUpToRefresh(bool);
			})
		}
		//初始化数据
		for(var i = 0; i < document.getElementById("sliderSegmentedControl").querySelectorAll(".mui-control-item").length; i++) {
			loadData(i)
		}

		function loadData(index) {
			var status = document.getElementById("sliderSegmentedControl").querySelectorAll(".mui-control-item")[index].getAttribute("data-status");
			$ajax(link, {
				page: 1,
				status: status
			}, function(res) {
				var ul = document.querySelectorAll('.order-list')[index];
				var fragment = document.createDocumentFragment();
				var li;
				if(res.status == 200) {
					var listData = res.content;
//					console.log(JSON.stringify(listData));
					for(var i = 0; i < listData.length; i++) {
						li = document.createElement('li');
						li.className = 'order-item';
						li.setAttribute('id', listData[i].order_id);
						var colorClass = '';
						var mStatus = '';
						if(listData[i].msg_color == 0) {
							colorClass = 'delay';
						} else if(listData[i].msg_color == 1) {
							colorClass = 'ongoing';
						} else if(listData[i].msg_color == -1) {
							colorClass = 'completed';
						}
						if(listData[i].type == '2') {
							mStatus = 'block';
						} else {
							mStatus = 'none';
						}
						li.innerHTML = "<div class='count-down " + colorClass + "'>" + listData[i].msg + "</div><div class='order-info'><span class='m-status' style='display:" + mStatus + ";'></span><img class='order-img' src = '" + imgRoot + listData[i].front_picture + "'><div class = 'order-text'><div>" + listData[i].name + "</div><div>完成件数：" + listData[i].done_account + "/" + listData[i].demanding_account + "</div><div>单件价格：" + listData[i].fee + " 元</div><div>交货时间：" + listData[i].delivery_date + "</div></div></div><div class='order-status'>状态<span>" + listData[i].state + "</span></div>";
						fragment.appendChild(li);
					}
					ul.appendChild(fragment);
					if(listData.length < pageCount) {
						document.querySelectorAll(".mui-pull-bottom-tips")[index].style.display = "none";
					} else {
						document.querySelectorAll(".mui-pull-bottom-tips")[index].style.display = "block";
					}
				} else if(res.status == 400) {
					li = document.createElement('li');
					li.innerHTML = "<li class='order-empty'>暂无数据</li>";
					fragment.appendChild(li);
					ul.appendChild(fragment);
					document.querySelectorAll(".mui-pull-bottom-tips")[index].style.display = "none";
				}
			})
		}
		mui(".mui-slider-item").on("tap", '.order-item', function() {
			var order_id = this.getAttribute("id");
			if(localStorage.getItem("role") == 1) {
				$open('send_detail.html', 'send_detail.html', {
					"order_id": order_id
				});
			} else {
				$open('receive_detail.html', 'receive_detail.html', {
					'order_id': order_id
				});
			}
		})
	});
})();