mui.init();

(function() {
	var pageArr = [{
		page: 1,
		cate_name: '',
		style_name: '',
		order: ''
	}]; //上拉加载更多时传的page
	var pageCount = 10; //每页的数据数量
	var activeIndex = 0;
	$ajax("/Receipt/getStyle", {}, function(res) {
		if(res.status == 200) {
			var categoryDom = document.querySelectorAll(".mui-table-view-radio")[0];
			var html = "<li class='mui-table-view-cell mui-selected'><a class='mui-navigate-right'>全部</a></li>";
			for(var i = 0; i < res.content.length; i++) {
				html += "<li class='mui-table-view-cell'><a class='mui-navigate-right'>" + res.content[i].style_name + "</a></li>"
			}
			categoryDom.innerHTML = html;
		}
	});
	mui.ajax(linkRoot + "/Factory/getCategory", {
		data: {
			auth_user: localStorage.getItem("auth_user")
		},
		dataType: 'json',
		type: 'post',
		async: false,
		success: function(res) {
			if(res.status == 200) {
				var Tscroll = document.getElementById("sliderSegmentedControl").querySelector('.mui-scroll');
				var Bscroll = document.querySelector('.mui-slider-group');
				var Thtml = "<a class='mui-control-item mui-active'  href='#item0' data-cate=''>所有</a>";
				var Bhtml = "<div id='item0' class='mui-slider-item mui-control-content mui-active'><div class='mui-scroll-wrapper'><div class='mui-scroll twoRankedBox' ><div class='box-wrapper'><ul class='BoxLeft'></ul><ul class='BoxRight'></ul></div></div></div></div>";
				for(var i = 0; i < res.content.length; i++) {
					//					if(i == 0) {
					//						Thtml += "<a class='mui-control-item mui-active'  href='#item1' data-cate='" + res.content[i].cate_name + "'>" + res.content[i].cate_name + "</a>";
					//						Bhtml += "<div id='item1' class='mui-slider-item mui-control-content mui-active'><div class='mui-scroll-wrapper'><div class='mui-scroll twoRankedBox' ><div class='box-wrapper'><ul class='BoxLeft'></ul><ul class='BoxRight'></ul></div></div></div></div>"
					//					} else {
					Thtml += "<a class='mui-control-item'  data-cate='" + res.content[i].cate_name + "'  href='#item" + (i + 1) + "'>" + res.content[i].cate_name + "</a>"
					Bhtml += "<div id='item" + (i + 1) + "' class='mui-slider-item mui-control-content'><div class='mui-scroll-wrapper'><div class='mui-scroll twoRankedBox' ><div class='box-wrapper'><ul class='BoxLeft'></ul><ul class='BoxRight'></ul></div></div></div></div>"
					//					}
					pageArr.push({
						page: 1,
						cate_name: res.content[i].cate_name,
						style_name: '',
						order: ''
					});
				}
				Tscroll.innerHTML = Thtml;
				Bscroll.innerHTML = Bhtml;
			}
		}
	})
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	if(localStorage.getItem("role") == 2) {
		var link = '/Factory/OrderList';
	} else {
		var link = '/Agency/OrderList';
	}
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});
	mui.plusReady(function() {
		plus.nativeUI.showWaiting("努力加载中");
		setTimeout(function() {
			plus.nativeUI.closeWaiting();
		}, 1000);
	})
	mui.ready(function() {
		//循环初始化所有下拉刷新，上拉加载。
		mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			mui(pullRefreshEl).pullToRefresh({
				down: {
					auto: true,
					callback: function() {
						var self = this;
						setTimeout(function() {
							pulldownRefresh(index, self);
						}, 1000);
					}
				},
				up: {
					contentrefresh: '正在加载...',
					contentnomore: '没有更多数据了',
					callback: function() {
						var self = this;
						setTimeout(function() {
							pullupRefresh(index, self)
						}, 1000);
					}
				}
			});
		});
		//下拉刷新
		function pulldownRefresh(index, self) {
			self.refresh(true);
			pageArr[index].page = 1;
			$ajax(link, pageArr[index], function(res) {
				var slider = document.querySelectorAll('.mui-slider-item')[index];
				var boxLeft = slider.querySelector(".BoxLeft");
				var boxRight = slider.querySelector(".BoxRight");
				var fragment = document.createDocumentFragment();
				var li;
				boxLeft.innerHTML = '';
				boxRight.innerHTML = '';
				if(res.status == 200) {
					var listData = res.content.order_list;
					for(var i = 0; i < listData.length; i++) {
						li = document.createElement('li');
						li.setAttribute('id', listData[i].order_id);
						li.innerHTML = '<div class="product-picture"><img src="' + imgRoot + listData[i].front_picture + '"></div><div class="product-info"><p>' +
							listData[i].name + '</p><div><span>数量：' + listData[i].demanding_account + '</span><span class="location"><img src="../../../images/order_detail02.png">' +
							listData[i].publishCompany.city + '</span></div><p>生产周期：' + listData[i].cycle + '天</p><div><span>单价：' + listData[i].fee + '元</span><span class="machine-all">' + listData[i].mode + '</span></div><p>面料：' +
							listData[i].mainFabric.name + '</p></div>'
						fragment.appendChild(li);
						if(boxLeft.offsetHeight <= boxRight.offsetHeight) {
							boxLeft.appendChild(fragment);
						} else {
							boxRight.appendChild(fragment);
						}
					}
					if(listData.length < pageCount) {
						document.querySelectorAll(".mui-pull-bottom-tips")[index].style.display = "none";
						self.endPullUpToRefresh(true);
					} else {
						document.querySelectorAll(".mui-pull-bottom-tips")[index].style.display = "block";
						self.endPullUpToRefresh(false);
					}
				} else if(res.status == 400) {
					li = document.createElement('li');
					li.className = "order-empty";
					li.innerHTML = "暂无数据";
					fragment.appendChild(li);
					boxLeft.appendChild(fragment);
					self.endPullUpToRefresh(true);
				}
				self.endPullDownToRefresh();
			})
		}
		//上拉加载
		function pullupRefresh(index, self) {
			pageArr[index].page++;
			$ajax(link, pageArr[index], function(res) {
				var slider = document.querySelectorAll('.mui-slider-item')[index];
				var boxLeft = slider.querySelector(".BoxLeft");
				var boxRight = slider.querySelector(".BoxRight");
				var fragment = document.createDocumentFragment();
				var li;
				var bool = false;
				if(res.status == 200) {
					var listData = res.content.order_list;
					for(var i = 0; i < listData.length; i++) {
						li = document.createElement('li');
						li.setAttribute('id', listData[i].order_id);
						li.innerHTML = '<div class="product-picture"><img src="' + imgRoot + listData[i].front_picture + '"></div><div class="product-info"><p>' +
							listData[i].name + '</p><div><span>数量：' + listData[i].demanding_account + '</span><span class="location"><img src="../../../images/order_detail02.png">' +
							listData[i].publishCompany.city + '</span></div><p>生产周期：' + listData[i].cycle + '天</p><div><span>单价：' + listData[i].fee + '元</span><span class="machine-all">' + listData[i].mode + '</span></div><p>面料：' +
							listData[i].mainFabric.name + '</p></div>'
						fragment.appendChild(li);
						if(boxLeft.offsetHeight <= boxRight.offsetHeight) {
							boxLeft.appendChild(fragment);
						} else {
							boxRight.appendChild(fragment);
						}
					}
					if(listData.length < pageCount) {
						bool = true;
					} else {
						bool = false;
					}
				} else if(res.status == 400) {
					bool = true;
				}
				self.endPullUpToRefresh(bool);
			})
		}
		//监听返回值刷新页面
		window.addEventListener('reload', function(event) {
			for(var i = 0; i < document.getElementById("sliderSegmentedControl").querySelectorAll(".mui-control-item").length; i++) {
				loadData(i);
			}
		})
		//初始化数据
		for(var i = 0; i < document.getElementById("sliderSegmentedControl").querySelectorAll(".mui-control-item").length; i++) {
			loadData(i);
		}

		function loadData(index) {
			$ajax(link, pageArr[index], function(res) {
				var slider = document.querySelectorAll('.mui-slider-item')[index];
				var boxLeft = slider.querySelector(".BoxLeft");
				var boxRight = slider.querySelector(".BoxRight");
				boxLeft.innerHTML = '';
				boxRight.innerHTML = '';
				var fragment = document.createDocumentFragment();
				var li;
				if(res.status == 200) {
					var listData = res.content.order_list;
					for(var i = 0; i < listData.length; i++) {
						li = document.createElement('li');
						li.setAttribute('id', listData[i].order_id);
						li.innerHTML = '<div class="product-picture"><img src="' + imgRoot + listData[i].front_picture + '"></div><div class="product-info"><p>' +
							listData[i].name + '</p><div><span>数量：' + listData[i].demanding_account + '</span><span class="location"><img src="../../../images/order_detail02.png">' +
							listData[i].publishCompany.city + '</span></div><p>生产周期：' + listData[i].cycle + '天</p><div><span>单价：' + listData[i].fee + '元</span><span class="machine-all">' + listData[i].mode + '</span></div><p>面料：' +
							listData[i].mainFabric.name + '</p></div>';
						fragment.appendChild(li);
						if(boxLeft.offsetHeight <= boxRight.offsetHeight) {
							boxLeft.appendChild(fragment);
						} else {
							boxRight.appendChild(fragment);
						}
					}
					if(listData.length < pageCount) {
						document.querySelectorAll(".mui-pull-bottom-tips")[index].style.display = "none";
					} else {
						document.querySelectorAll(".mui-pull-bottom-tips")[index].style.display = "block";
					}
				} else if(res.status == 400) {
					li = document.createElement('li');
					li.className = "order-empty";
					li.innerHTML = "暂无数据";
					fragment.appendChild(li);
					boxLeft.appendChild(fragment);
					document.querySelectorAll(".mui-pull-bottom-tips")[index].style.display = "none";
				}
			})
		}
		//点击进入详情
		mui(".box-wrapper").on("tap", 'li', function() {
			var order_id = this.getAttribute("id");
			$open('../Order/receive_detail.html', 'receive_detail.html', {
				'order_id': order_id
			});
		})
		//类目报价切换
		var accordionList = document.querySelector(".accordion-content").querySelectorAll(".mui-table-view");
		mui(".accordion-list .accordion-item").each(function(index, item) {
			item.onclick = function() {
				if(index == 0) {
					if(accordionList[0].style.display == "block") {
						accordionList[0].style.display = "none";
						item.querySelector(".triangle-icon").classList.remove("rotate-icon");
					} else {
						accordionList[0].style.display = "block";
						item.querySelector(".triangle-icon").classList.add("rotate-icon");
					}
					accordionList[1].style.display = "none";
					document.querySelectorAll(".accordion-item")[1].querySelector(".triangle-icon").classList.remove("rotate-icon");

				} else {
					if(accordionList[1].style.display == "block") {
						accordionList[1].style.display = "none";
						item.querySelector(".triangle-icon").classList.remove("rotate-icon");
					} else {
						accordionList[1].style.display = "block";
						item.querySelector(".triangle-icon").classList.add("rotate-icon");
					}
					accordionList[0].style.display = "none";
					document.querySelectorAll(".accordion-item")[0].querySelector(".triangle-icon").classList.remove("rotate-icon");
				}
				if(accordionList[0].style.display == "block" || accordionList[1].style.display == "block") {
					mui('.mui-slider').slider().setStopped(true);
					document.querySelector(".back").style.display = "block";
				} else {
					mui('.mui-slider').slider().setStopped(false);
					document.querySelector(".back").style.display = "none";
				}
			}
		})

		//类目 报价下元素点击事件
		mui(".accordion-content").on("tap", ".mui-table-view-cell", function() {
			accordionList[0].style.display = "none";
			accordionList[1].style.display = "none";
			document.querySelectorAll(".accordion-item")[0].querySelector(".triangle-icon").classList.remove("rotate-icon");
			document.querySelectorAll(".accordion-item")[1].querySelector(".triangle-icon").classList.remove("rotate-icon");
			mui('.mui-slider').slider().setStopped(false);
			document.querySelector(".back").style.display = "none";
			pageArr[activeIndex].page = 1;
			if(this.getAttribute("price") == '') {
				pageArr[activeIndex].order = '';
			} else if(this.getAttribute("price")) {
				pageArr[activeIndex].order = this.getAttribute("price");
			} else {
				pageArr[activeIndex].style_name = this.querySelector(".mui-navigate-right").innerText;
				if(pageArr[activeIndex].style_name == "全部") {
					pageArr[activeIndex].style_name = "";
				}
			}
			loadData(activeIndex);
			mui('.mui-scroll-wrapper').scroll()[activeIndex + 1].scrollTo(0, 0, 10) //回到顶部 
		})

		//筛选弹窗内的灰色背景点击事件
		mui(".accordion-content").on("tap", ".back", function() {
			hideAccordion();
		})
		mui("#sliderSegmentedControl").on("tap", ".mui-control-item", function() {
			hideAccordion();
		})

		//收起筛选框
		function hideAccordion() {
			accordionList[0].style.display = "none";
			accordionList[1].style.display = "none";
			document.querySelectorAll(".accordion-item")[0].querySelector(".triangle-icon").classList.remove("rotate-icon");
			document.querySelectorAll(".accordion-item")[1].querySelector(".triangle-icon").classList.remove("rotate-icon");
			mui('.mui-slider').slider().setStopped(false);
			document.querySelector(".back").style.display = "none";
		}

		//页面左右滑动切换事件
		document.getElementById('slider').addEventListener('slide', function(e) {
			activeIndex = e.detail.slideNumber;
			var cateDom = accordionList[0].querySelectorAll("li");
			var priceDom = accordionList[1].querySelectorAll("li");
			for(var i = 0; i < cateDom.length; i++) {
				cateDom[i].classList.remove("mui-selected");
				if(pageArr[activeIndex].style_name == '') {
					cateDom[0].classList.add("mui-selected");
				} else if(cateDom[i].querySelector(".mui-navigate-right").innerText == pageArr[activeIndex].style_name) {
					cateDom[i].classList.add("mui-selected");
				}
			}
			for(var i = 0; i < priceDom.length; i++) {
				priceDom[i].classList.remove("mui-selected");
				if(pageArr[activeIndex].order == '') {
					priceDom[0].classList.add("mui-selected");
				} else if(priceDom[i].getAttribute("price") == pageArr[activeIndex].order) {
					priceDom[i].classList.add("mui-selected");
				}
			}
		});
	});
})();