mui.init({swipeBack: true});

var vm = new Vue({
  el:'.mui-content',
  data:{
    balance:'0.00',
    bank:{},
    withDraw:{}
  },
  methods:{
    //添加银行卡
    addBankCard(){
      $open('card_add.html','card_add.html',{comefrom:'withdraw'});
    },
    //银行卡列表
    BankCardList(){
      $open('bank_card.html','bank_card.html',{comefrom:'withdraw'});
    },
    //全部体现
    drawAll(){
      this.$set(this.withDraw,'money',this.balance);
    },
    //确认体现
    withDrawSure(){
      var _this = this;
      $ajax('/UserCenter/withdraw',_this.withDraw,function(res){
        if(res.status == 200){
          var newbalance = Number(_this.balance) - Number(_this.withDraw.money);
          mui.alert(res.msg,'',function(){
            var webview = plus.webview.getWebviewById('account.html');
            mui.fire(webview,'NewBalance',{newBalance:newbalance.toFixed(2)});
            mui.back();
          })
        }else{
          mui.alert(res.msg);
        }
      })
    },
    //初始化
    init(){
      var _this = this;
      $ajax("/UserCenter/myBankCard",{},function(res){
        if(res.status == 200 && res.content[0]){
          _this.bank = res.content[0];  
          _this.withDraw.card_id = res.content[0].card_id;
        }
      });
    }
  },
  created(){
    this.init();
  },
  mounted(){
    var _this = this;
    mui.plusReady(function () {
        var self = plus.webview.currentWebview();
        _this.balance = self.k;
    })
  }
});

//添加银行卡成功的事件监听
document.addEventListener('addSuccess',function(e){
  var item = e.detail.chooseItem;
  if(!item){
    vm.init();
  }else{
    vm.bank = item;
  }
})